package com.muyu.common.goods.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.goods.domain.Status;
import com.muyu.common.goods.remote.factory.RemoteDataSourceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;

import java.util.List;

@FeignClient(
        contextId = "dataSourcesService",
        value = ServiceNameConstants.RANGE_SERVICE,
        fallbackFactory = RemoteDataSourceFallbackFactory.class,
        path = "/cloud"
)
public interface RemoteDataSourceService {
//    @PostMapping("list")
//    public Result<List<Status>> list();

    @PostMapping("list")
    public Result<List<Status>> list(@RequestHeader("saas") String saas);
}

