package com.muyu.common.goods.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.goods.domain.Enterprise;
import com.muyu.common.goods.domain.Sources;
import com.muyu.common.goods.remote.factory.RemoteSourcesFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient(
        contextId = "sourcesService",
        value = ServiceNameConstants.GOODS_SERVICE,
        fallbackFactory = RemoteSourcesFallbackFactory.class
)
public interface RemoteSourcesService {

    /**
     * 企业服务信息
     * @return
     */
    @PostMapping("enterprise/listSources")
    public Result<List<Sources>> listSources();

    /**
     * 企业详情
     * @return
     */
    @PostMapping("enterprise/lists")
    public Result<List<Enterprise>> lists();
}
