package com.muyu.common.goods.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.goods.domain.Status;
import com.muyu.common.goods.remote.RemoteDataSourceService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class RemoteDataSourceFallbackFactory implements FallbackFactory<RemoteDataSourceService> {
    @Override
    public RemoteDataSourceService create(Throwable cause) {
        return new RemoteDataSourceService() {
            @Override
            public Result<List<Status>> list(String saas) {
                return Result.error(cause.getMessage());
            }
//            @Override
//            public Result<List<Status>> list() {
//                return Result.error(cause.getMessage());
//            }
        };
    }
}
