package com.muyu.common.goods.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.goods.domain.Enterprise;
import com.muyu.common.goods.domain.Sources;
import com.muyu.common.goods.remote.RemoteSourcesService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class RemoteSourcesFallbackFactory implements FallbackFactory<RemoteSourcesService> {
    @Override
    public RemoteSourcesService create(Throwable cause) {
        return new RemoteSourcesService() {
            @Override
            public Result<List<Sources>> listSources() {
                return Result.error(cause.getMessage());
            }

            @Override
            public Result<List<Enterprise>> lists() {
                return Result.error(cause.getMessage());
            }
        };
    }
}
