package muyu.business.client.config.runner;

import com.business.common.config.SystemUserConfig;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysUser;
import com.muyu.common.system.remote.RemoteUserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;

@Log4j2
@Component
@Configuration
public class BusinessConfigRunner implements ApplicationRunner {
    @Autowired
    private RemoteUserService remoteUserService;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        //初始化
        Result<List<SysUser>> lists = remoteUserService.lists();
        List<SysUser> data = lists.getData();
        for (SysUser datum : data) {
            if (datum.getFirm()!= null){
                SystemUserConfig.index(datum);
            }
        }
    }
}
