package com.business.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
public class Breakdown extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 故障码 */
    @Excel(name = "故障码")
    private String faultCode;

    /** 车辆标识 */
    @Excel(name = "车辆标识")
    private String vin;

    /** 故障状态 */
    @Excel(name = "故障状态")
    private Integer faultState;

    /** 故障产生时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "故障产生时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date faultStartTime;

    /** 故障解决时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "故障解决时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date faultEndTime;

    /** 故障级别 */
    @Excel(name = "故障级别")
    private Integer faultLevel;
}
