package com.business.common.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 车辆信息对象 car
 *
 * @author muyu
 * @date 2024-05-27
 */
@Data
public class Car extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆唯一标识 */
    private Long carId;

    /** 车辆识别码 */
    @Excel(name = "车辆识别码")
    private String vin;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 生产年份 */
    @Excel(name = "生产年份")
    private Long manufactureYear;

    /** 车身类型 */
    @Excel(name = "车身类型")
    private String bodyType;

    /** 车辆颜色 */
    @Excel(name = "车辆颜色")
    private String color;

    /** 发动机排量 */
    @Excel(name = "发动机排量")
    private Long engineCapacity;

    /** 燃油类型 */
    @Excel(name = "燃油类型")
    private String fuelType;

    /** 变速器类型 */
    @Excel(name = "变速器类型")
    private String transmission;

    /** 驱动类型 */
    @Excel(name = "驱动类型")
    private String driveType;

    /** 行驶里程 */
    @Excel(name = "行驶里程")
    private Long mileage;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registrationDate;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String registrationNumber;

    /** 所有者 */
    @Excel(name = "所有者")
    private Long ownerId;

    public void setCarId(Long carId)
    {
        this.carId = carId;
    }

    public Long getCarId()
    {
        return carId;
    }
    public void setVin(String vin)
    {
        this.vin = vin;
    }

    public String getVin()
    {
        return vin;
    }
    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public String getBrand()
    {
        return brand;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setManufactureYear(Long manufactureYear)
    {
        this.manufactureYear = manufactureYear;
    }

    public Long getManufactureYear()
    {
        return manufactureYear;
    }
    public void setBodyType(String bodyType)
    {
        this.bodyType = bodyType;
    }

    public String getBodyType()
    {
        return bodyType;
    }
    public void setColor(String color)
    {
        this.color = color;
    }

    public String getColor()
    {
        return color;
    }
    public void setEngineCapacity(Long engineCapacity)
    {
        this.engineCapacity = engineCapacity;
    }

    public Long getEngineCapacity()
    {
        return engineCapacity;
    }
    public void setFuelType(String fuelType)
    {
        this.fuelType = fuelType;
    }

    public String getFuelType()
    {
        return fuelType;
    }
    public void setTransmission(String transmission)
    {
        this.transmission = transmission;
    }

    public String getTransmission()
    {
        return transmission;
    }
    public void setDriveType(String driveType)
    {
        this.driveType = driveType;
    }

    public String getDriveType()
    {
        return driveType;
    }
    public void setMileage(Long mileage)
    {
        this.mileage = mileage;
    }

    public Long getMileage()
    {
        return mileage;
    }
    public void setRegistrationDate(Date registrationDate)
    {
        this.registrationDate = registrationDate;
    }

    public Date getRegistrationDate()
    {
        return registrationDate;
    }
    public void setRegistrationNumber(String registrationNumber)
    {
        this.registrationNumber = registrationNumber;
    }

    public String getRegistrationNumber()
    {
        return registrationNumber;
    }
    public void setOwnerId(Long ownerId)
    {
        this.ownerId = ownerId;
    }

    public Long getOwnerId()
    {
        return ownerId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("carId", getCarId())
            .append("vin", getVin())
            .append("brand", getBrand())
            .append("model", getModel())
            .append("manufactureYear", getManufactureYear())
            .append("bodyType", getBodyType())
            .append("color", getColor())
            .append("engineCapacity", getEngineCapacity())
            .append("fuelType", getFuelType())
            .append("transmission", getTransmission())
            .append("driveType", getDriveType())
            .append("mileage", getMileage())
            .append("registrationDate", getRegistrationDate())
            .append("registrationNumber", getRegistrationNumber())
            .append("ownerId", getOwnerId())
            .toString();
    }
}
