package com.business.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 车辆信息
 * @ClassName VehicleInfo
 * @Author GuanTieLin
 * @Date 2024/5/30 18:40
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleInfo {
    /**
     * vin
     */
    private String vin;
    /**
     * 时间
     */
    private String time;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 车速
     */
    private String speed;
    /**
     * 总里程
     */
    private String totalMileage;
    /**
     * 总电压
     */
    private String totalVoltage;
    /**
     * 总电流
     */
    private String totalCurrent;
    /**
     * 绝缘电阻
     */
    private String insulationResistance;
    /**
     * 档位
     */
    private String gears;
    /**
     * 加速踏板行程值
     */
    private String acceleratorPedal;
    /**
     * 制动踏板行程值
     */
    private String brakePedal;
    /**
     * 燃料消耗率
     */
    private String fuelConsumptionRate;
    /**
     * 电机控制器温度
     */
    private String MotorControllerTemperature;
    /**
     * 电机转速
     */
    private String motorSpeed;
    /**
     * 电机转矩
     */
    private String motorTorque;
    /**
     * 电机温度
     */
    private String motorTemperature;
    /**
     * 电机电压
     */
    private String motorVoltage;
    /**
     * 电机电流
     */
    private String motorCurrent;
    /**
     * 动力电池剩余电量SOC
     */
    private String remainingPower;
    /**
     * 当前状态允许的最大反馈功率
     */
    private String maximumFeedbackPower;
    /**
     * 当前状态允许最大放电功率
     */
    private String maximumDischargePower;
    /**
     * BMS自检计数器
     */
    private String selfTestCounter;
    /**
     * 动力电池充放电电流
     */
    private String batteryChargeOrDischargeCurrent;
    /**
     * 动力电池负载端总电压V3
     */
    private String totalVoltageV3;
    /**
     * 单次最大电压
     */
    private String maximumVoltage;
    /**
     * 单体电池最低电压
     */
    private String minimumBatteryVoltage;
    /**
     * 单体电池最高温度
     */
    private String maximumBatteryTemperature;
    /**
     * 单体电池最低温度
     */
    private String minimumBatteryTemperature;
    /**
     * 动力电池可用容量
     */
    private String usableBatteryCapacity;
    /**
     * 车辆状态
     */
    private String vehicleStatus;
    /**
     * 充电状态
     */
    private String chargeStatus;
    /**
     * 运行状态
     */
    private String operationalStatus;
    /**
     * SOC
     */
    private String soc;
    /**
     * 可充电储能装置工作状态
     */
    private String energyStorageDeviceWorkingStatus;
    /**
     * 驱动电机状态
     */
    private String driveMotorStatus;
    /**
     * 定位是否有效
     */
    private String positioningIsOrNotEffective;
    /**
     * EAS
     */
    private String eas;
    /**
     * PTC
     */
    private String ptc;
    /**
     * EPS
     */
    private String eps;
    /**
     * ABS
     */
    private String abs;
    /**
     * MCU
     */
    private String mcu;
    /**
     * 动力电池加热状态
     */
    private String batteryHeatingStatus;
    /**
     * 动力电池当前状态
     */
    private String batteryCurrentStatus;
    /**
     * 动力电池保温状态
     */
    private String batteryInsulationStatus;
    /**
     * DCDC
     */
    private String dcdc;
    /**
     * CHG
     */
    private String chg;
    /**
     * 校验位
     */
    private String checkDigit;
}
