package com.business.common.middle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 车辆与电子围栏
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CarFenceDev {
    private Long carId;

    /** 车辆识别码 */
    @Excel(name = "车辆识别码")
    private String vin;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 生产年份 */
    @Excel(name = "生产年份")
    private Long manufactureYear;

    /** 车身类型 */
    @Excel(name = "车身类型")
    private String bodyType;

    /** 车辆颜色 */
    @Excel(name = "车辆颜色")
    private String color;

    /** 发动机排量 */
    @Excel(name = "发动机排量")
    private Long engineCapacity;

    /** 燃油类型 */
    @Excel(name = "燃油类型")
    private String fuelType;

    /** 变速器类型 */
    @Excel(name = "变速器类型")
    private String transmission;

    /** 驱动类型 */
    @Excel(name = "驱动类型")
    private String driveType;

    /** 行驶里程 */
    @Excel(name = "行驶里程")
    private Long mileage;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registrationDate;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String registrationNumber;

    /** 所有者 */
    @Excel(name = "所有者")
    private Long ownerId;
    /**
     * 电子围栏主键
     */
    private Long fenceId;
    /**
     * 围栏名称
     */
    private String fenceName;
    /**
     * 围栏类型
     */
    private String fenceType = "多边形";
    /**
     * 驶入驶出
     */
    private String eventType = "N";
    /**
     * 围栏状态
     */
    private String staut = "Y";
    /**
     *坐标
     */
    private String polygonPoints;
}
