package com.muyu.goods.client;

import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.ExchangeTypes;
import org.springframework.amqp.core.FanoutExchange;
import org.springframework.amqp.rabbit.annotation.Exchange;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.QueueBinding;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

@Component
public class MqConsumer {
    @Autowired
    private AmqpAdmin amqpAdmin;


//    @RabbitListener(queuesToDeclare = {@Queue("vehicle.event")})
    //监听交换机 Queue(队列名) @Exchange(value = "交换机名称", type = ExchangeTypes.FANOUT)
    @RabbitListener(bindings = {@QueueBinding(value = @Queue("vehicle.event"),
            exchange = @Exchange(value = "vehicle.event", type = ExchangeTypes.FANOUT))})
    public void handleMessage(String message) {
        System.out.println("Received message: " + message);
        amqpAdmin.deleteQueue("vehicle.event");
        // 在这里处理接收到的消息
    }
}
