package com.muyu.goods.controller;

import com.business.common.domain.Enterprise;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.goods.service.IBusinessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 企业Controller
 *
 * @author muyu
 * @date 2024-05-26
 */
@RestController
@RequestMapping("/client")
public class BusinessController extends BaseController
{
    @Autowired
    private IBusinessService enterpriseService;

    /**
     * 获取全部入驻企业
     * @return
     */
    @PostMapping("lists")
    public Result<List<Enterprise>> lists() {
        return success(enterpriseService.lists());
    }

    /**
     * 查看当前登录用户绑定企业
     * @return
     */
    @PostMapping("listEnterprise")
    public Result<Enterprise> listEnterprise() {
        return success(enterpriseService.listEnterprise());
    }
}
