package com.muyu.goods.service;

import com.business.common.dev.LongitudeAndLatitude;
import com.business.common.domain.Car;
import com.business.common.domain.VehicleInfo;

import java.util.List;

/**
 * 车辆信息Service接口
 *
 * @author muyu
 * @date 2024-05-27
 */
public interface ICarService
{
    /**
     * 查询车辆信息
     *
     * @param carId 车辆信息主键
     * @return 车辆信息
     */
    public Car selectCarByCarId(Long carId);

    /**
     * 车辆列表
     * @return
     */
    List<Car> lists();
    /**
     * 查询车辆信息列表
     *
     * @param car 车辆信息
     * @return 车辆信息集合
     */
    public List<Car> selectCarList(Car car);

    /**
     * 新增车辆信息
     *
     * @param car 车辆信息
     * @return 结果
     */
    public int insertCar(Car car);

    /**
     * 修改车辆信息
     *
     * @param car 车辆信息
     * @return 结果
     */
    public int updateCar(Car car);

    /**
     * 批量删除车辆信息
     *
     * @param carIds 需要删除的车辆信息主键集合
     * @return 结果
     */
    public int deleteCarByCarIds(Long[] carIds);

    /**
     * 删除车辆信息信息
     *
     * @param carId 车辆信息主键
     * @return 结果
     */
    public int deleteCarByCarId(Long carId);

    Car query(Long carId);

    VehicleInfo read();

    void open();

    void close();

}
