package com.muyu.goods.service.impl;

import com.business.common.Select.BreakdownSel;
import com.business.common.domain.Breakdown;
import com.business.common.domain.Car;
import com.business.common.domain.FaultCode;
import com.business.common.domain.Sources;
import com.business.common.psvm.FaultInfo;
import com.muyu.common.goods.domain.Enterprise;
import com.muyu.common.goods.remote.RemoteSourcesService;
import com.muyu.common.system.domain.SysUser;
import com.muyu.common.system.remote.RemoteUserService;
import com.muyu.goods.mapper.BreakdownMapper;
import com.muyu.goods.service.IBreakdownService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class BreakdownService implements IBreakdownService {
    @Autowired
    private BreakdownMapper mapper;
    @Autowired
    private RemoteUserService remoteUserService;
    @Autowired
    private RemoteSourcesService remoteSourcesService;

    /**
     * 故障记录
     * @param breakdown
     * @return
     */
    @Override
    public List<Breakdown> selectBreakdownList() {
        return mapper.selectBreakdownList();
    }

    @Override
    public List<Breakdown> lists() {
        return mapper.lists();
    }

    @Override
    public Integer indexBreakDown(Breakdown breakdown) {
        return mapper.indexBreakDown(breakdown);
    }

    @Override
    public Integer updateBreakDown(Breakdown breakdown) {
        return mapper.updateBreakDown(breakdown);
    }

    @Override
    public List<FaultCode> listFaultCode() {
        return mapper.listFaultCode();
    }

    @Override
    public Sources selectVinEnterprise(String vin) {
        // 查询车辆
        Car car = mapper.selectVinCar(vin);
        if (car == null) {
            System.out.println("查询不到车辆");
            return null;
        }
        //根据车辆管理人查询员工
        List<SysUser> userList = remoteUserService.lists().getData();
        List<SysUser> sysUserList = userList.stream().filter(firm -> firm.getFirm() == car.getOwnerId()).collect(Collectors.toList());
        if (sysUserList == null ){
                System.out.println("该车负责人未找到");
                return null;
        }
        SysUser sysUser = sysUserList.get(0);
        //根据员工查询到企业
        List<Enterprise> enterpriseList = remoteSourcesService.lists().getData();
        List<Enterprise> enterprises = enterpriseList.stream().filter(enterprise -> enterprise.getId() == sysUser.getFirm()).collect(Collectors.toList());
        if (enterprises == null) {
            System.out.println("未成功定义企业");
            return null;
        }
        Enterprise enterprise = enterprises.get(0);
        //根据企业查询到企业数据源
        com.muyu.common.goods.domain.Sources sources = remoteSourcesService.listSources().getData().stream().filter(sour -> sour.getEnterpriseId() == enterprise.getId()).collect(Collectors.toList()).get(0);
        Sources sources1 = Sources.builder()
                .id(sources.getId())
                .enterpriseId(sources.getEnterpriseId())
                .name(sources.getName())
                .url(sources.getUrl())
                .ip(sources.getIp())
                .username(sources.getUsername())
                .password(sources.getPassword())
                .build();
        System.out.println(sources1);
        return sources1;
    }

    @Override
    public List<Map<String, Object>> pies(BreakdownSel breakdownSel) {
        return mapper.pies(breakdownSel);
    }
}
