package com.muyu.goods.service.impl;

import com.business.common.domain.Enterprise;
import com.muyu.common.core.domain.Result;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.LoginUser;
import com.muyu.common.system.domain.SysUser;
import com.muyu.common.system.remote.RemoteUserService;
import com.muyu.goods.mapper.BusinessMapper;
import com.muyu.goods.service.IBusinessService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 企业Service业务层处理
 *
 * @author muyu
 * @date 2024-05-26
 */
@Service
@Log4j2
public class BusinessServiceImpl implements IBusinessService
{
    @Autowired
    private BusinessMapper enterpriseMapper;
    @Autowired
    private RemoteUserService remoteUserService;

    /**
     * 获取全部入驻企业
     * @return
     */
    @Override
    public List<Enterprise> lists() {
        return enterpriseMapper.lists();
    }

    /**
     * 查看当前登录用户绑定企业
     * @return
     */
    @Override
    public Enterprise listEnterprise() {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        Result<List<SysUser>> lists = remoteUserService.lists();
        List<SysUser> data = lists.getData();
        SysUser sysUser = data.stream().filter(da -> da.getUserId().equals(loginUser.getUserId())).collect(Collectors.toList()).get(0);
        List<Enterprise> collect = lists().stream().filter(re -> re.getId().equals(sysUser.getFirm())).collect(Collectors.toList());
        if (collect.size() == 0){
            return null;
        }
        Enterprise enterprise = collect.get(0);
        return enterprise;
    }
}
