package com.muyu.goods.service.impl;

import com.business.common.domain.Breakdown;
import com.business.common.middle.GroupFenceDev;
import com.business.common.domain.Car;
import com.business.common.psvm.FaultInfo;
import com.muyu.goods.mapper.MapMapper;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
@Log4j2
public class ExecuteService {
    @Autowired
    private MapMapper mapMapper;
    @Autowired
    private BreakdownService breakdownService;
    @Autowired
    private RedisTemplate<String,String> redisTemplate;

    @Async
    public void indexGroupFence(Car car) {
        mapMapper.indexCarGroupsMiddle(car.getCarId());
        List<GroupFenceDev> list = mapMapper.selectGroupFenceMiddleOne();
        List<GroupFenceDev> groupFenceDevList = list.stream().filter(fence -> fence.getGroupsId() == 1).collect(Collectors.toList());
        System.out.println(groupFenceDevList);
        for (GroupFenceDev groupFenceDev : groupFenceDevList) {
            mapMapper.indexCarFence(car.getCarId(),groupFenceDev.getFenceId());
        }
        log.info("indexGroupFence完成");
    }

    @Async
    public void deleteCarGroupFence(Long carId){
        mapMapper.deleteCarGroups(carId);
        mapMapper.deleteCarFence(carId);
        log.info("delete完成");
    }

    @Async
    public void indexBreakdown(Breakdown breakdown) {
        breakdownService.indexBreakDown(breakdown);
    }

    @Async
    public void selectVinEnterprise() {
        String vin = redisTemplate.opsForValue().get("vin");
        breakdownService.selectVinEnterprise(vin);
    }
}
