package com.muyu.goods.timer;

import com.muyu.goods.controller.CarController;
import lombok.extern.log4j.Log4j2;
import org.apache.kafka.common.protocol.types.Field;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Random;
import java.util.concurrent.TimeUnit;

@Component
@EnableScheduling
@Log4j2
public class Timer {
    @Autowired
    private RedisTemplate<String,String> redisTemplate;

    @Scheduled(fixedDelay = 1000)
    public String generateRandomNumber() {
        Random random = new Random();
        int i = random.nextInt(100);
        String rightPopAndLeftPush = null;
        try {
            rightPopAndLeftPush = redisTemplate.opsForList().leftPop("event_handler:realtime_data:JAV0VJUJYOTOK9KSY"
                    , 3, TimeUnit.SECONDS);
            if (rightPopAndLeftPush != null) {
                log.info("处理消息: {}", rightPopAndLeftPush);
            }
        } catch (Exception e) {
//             处理超时异常，进行持久化操作，消息没处理可进行后续处理
//            if (rightPopAndLeftPush != null) {
//                redisTemplate.opsForList().leftPush("backupList", rightPopAndLeftPush);
//            }
            log.error(e.getMessage());
        }
        rightPopAndLeftPush = String.valueOf(i);
        return rightPopAndLeftPush;

    }
}
