package muyu.goods.enterprise.client.config;

import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysUser;
import com.muyu.common.system.remote.RemoteUserService;
import com.muyu.goods.domain.Enterprise;
import lombok.extern.log4j.Log4j2;
import muyu.goods.enterprise.client.config.runner.EnterpriseConfigRunner;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Import;

import java.util.List;
import java.util.stream.Collectors;

@Log4j2
@ComponentScan
@Import(value = EnterpriseConfigRunner.class)
public class EnterpriseConfig {
    @Autowired
    private RemoteUserService remoteUserService;

    /**
     * 添加新用户
     * @param enterprise
     */
    public void index(Enterprise enterprise) {
        SysUser sysUser = new SysUser();
        //用户昵称
        sysUser.setNickName(enterprise.getEnterpriseName());
        //归属部门
        sysUser.setDeptId(100L);
        //手机号码
        sysUser.setPhonenumber(enterprise.getContactPhone());
        //邮箱
        sysUser.setEmail(enterprise.getEmail());
        //用户名称
        sysUser.setUserName(enterprise.getEnterpriseName());
        //用户密码
        sysUser.setPassword("123456");
        //用户性别
        sysUser.setSex("3");
        //状态
        sysUser.setStatus("0");
        //岗位
        sysUser.setPostIds(new Long[]{1L});
        //角色
        sysUser.setRoleIds(new Long[]{101L});
        //备注
        sysUser.setRemark("");
        //绑定外键
        sysUser.setFirm(enterprise.getId());
        remoteUserService.add(sysUser);
    }

    /**
     * 展示和企业绑定的用户
     * @return
     */
    public List<SysUser> sysUsers() {
        Result<List<SysUser>> lists = remoteUserService.lists();
        List<SysUser> sysUserList = lists.getData();
        List<SysUser> collect = sysUserList.stream().filter(user -> user.getFirm()!=null).collect(Collectors.toList());
        return collect;
    }
}
