package com.muyu.goods.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 企业对象 enterprise
 *
 * @author muyu
 * @date 2024-05-26
 */
@Data
public class Enterprise extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 法定代表人 */
    @Excel(name = "法定代表人")
    private String legalPerson;

    /** 经营执照凭证号码 */
    @Excel(name = "经营执照凭证号码")
    private String businessLincenseNumber;

    /** 企业成立日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "企业成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date estabinessDate;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String businessScope;

    /** 注册地址 */
    @Excel(name = "注册地址")
    private String address;

    /** 企业联系方式 */
    @Excel(name = "企业联系方式")
    private String contactPhone;

    /** 公司邮箱 */
    @Excel(name = "公司邮箱")
    private String email;

    /** 企业当前状态(正常运营/负载运营) */
    @Excel(name = "企业当前状态(正常运营/负载运营)")
    private String status;

    /** 企业入驻平台日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "企业入驻平台日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registrationDate;

    /** 是否认证0/1 */
    @Excel(name = "是否认证0/1")
    private Integer authentication;

    /** 认证时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "认证时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date authenticationDate;

    /** 服务等级0/1/2 */
    @Excel(name = "服务等级0/1/2")
    private Integer serviceLevel;

    @Excel(name = "定制服务")
    private String customized;
}
