package com.muyu.goods.config;

import com.alibaba.fastjson2.JSONObject;
import com.muyu.goods.controller.EnterpriseController;
import com.muyu.goods.domain.Enterprise;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.core.RedisTemplate;

import java.util.List;

@Log4j2
@Configuration
@ComponentScan
public class EnterpiseConfig implements ApplicationRunner {
    @Autowired
    private RedisTemplate<String,String> redisTemplate;
    @Autowired
    private EnterpriseController enterpriseController;


    @Override
    public void run(ApplicationArguments args) throws Exception {
            List<Enterprise> enterprises = enterpriseController.lists().getData();
        List<String> range = redisTemplate.opsForList().range("enterprises", 0, -1);
        if (range.size() == 0){
            for (Enterprise enterpris : enterprises) {
                redisTemplate.opsForList().leftPushAll("enterprises",JSONObject.toJSONString(enterpris));
            }
        }
        }
    }

