package com.muyu.goods.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.muyu.goods.domain.Custom;
import com.muyu.goods.domain.Enterprise;
import com.muyu.goods.domain.Sources;
import org.apache.ibatis.annotations.Param;

/**
 * 企业Mapper接口
 *
 * @author muyu
 * @date 2024-05-26
 */
public interface EnterpriseMapper
{
    /**
     * 查询企业
     *
     * @param id 企业主键
     * @return 企业
     */
    public Enterprise selectEnterpriseById(Long id);

    /**
     * 查询企业列表
     *
     * @param enterprise 企业
     * @return 企业集合
     */
    public List<Enterprise> selectEnterpriseList(Enterprise enterprise);

    /**
     * 新增企业
     *
     * @param enterprise 企业
     * @return 结果
     */
    public int insertEnterprise(Enterprise enterprise);

    /**
     * 修改企业
     *
     * @param enterprise 企业
     * @return 结果
     */
    public int updateEnterprise(Enterprise enterprise);

    /**
     * 删除企业
     *
     * @param id 企业主键
     * @return 结果
     */
    public int deleteEnterpriseById(Long id);

    /**
     * 批量删除企业
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEnterpriseByIds(Long[] ids);

    int authentication(Enterprise enterprise);

    Enterprise getEnterpriseById(@Param("id") Long id);

    Enterprise queryDateEnterprise();

    /**
     * 判断唯一
     * @param enterpriseName
     * @return
     */
    Integer oneName(@Param("enterpriseName") String enterpriseName);

    Integer onePhone(@Param("contactPhone") String contactPhone);

    Integer oneEmail(@Param("email") String email);
    int getLevel(@Param("id") Long id, @Param("serviceLevel") Integer serviceLevel);


    void indexSources(Sources sources);

    List<Sources> listSources(QueryWrapper<Object> objectQueryWrapper);

    int indexCustom(Custom custom);

    List<Custom> listCustom();

}
