package com.muyu.incident.client.config;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * kafka配置
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Configuration
@ConfigurationProperties(prefix = "kafka")
public class KafkaConfig {
    private static final String queueName = null;
    /**
     * 主题
     */
    private String topic;
    /**
     * 分区
     */
    private Integer partition;
    public String queueName() {
        return topic + "." + partition;
    }
}
