package com.muyu.cloud.controller;


import com.muyu.cloud.datasource.config.DynamicDataSource;
import com.muyu.cloud.datasource.config.contents.DataSourceInfo;
import com.muyu.cloud.datasource.util.DataSourceService;
import com.muyu.cloud.domain.Status;
import com.muyu.cloud.service.CloudService;
import com.muyu.common.core.domain.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Log4j2
@RestController
@RequestMapping("cloud")
public class CloudController {
    @Autowired
    private CloudService cloudService;
    @Autowired
    private DataSourceService dataSourceService;

    @PostMapping("source")
    public Result selSource() {
        Object clout = cloudService.selSource();
        return Result.success(clout);
    }

    /**
     * 新增数据源
     * @param ip
     * @return
     */
    @PostMapping("/{ip}")
    public Result selectIp(@PathVariable String ip){
        dataSourceService.addDataSource(DataSourceInfo.dataIpBuild(ip));
        return null;
    }

    @PostMapping("list")
    public Result<List<Status>> list(@RequestHeader("saas") String saas) {
        return Result.success(cloudService.list(saas));
    }
}
