package com.muyu.cloud.datasource.config.contents;

import com.muyu.common.core.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import static com.muyu.cloud.datasource.contents.DatasourceContent.*;


/**
 * @author DongZl
 * @description: 数据源实体类
 * @Date 2023-8-1 上午 11:15
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DataSourceInfo {

    private String key;

    private String ip;

    private String url;

    private String userName;

    private String password;


    public static DataSourceInfo dataIpBuild(String ip){
        return DataSourceInfo.builder()
                .ip(ip)
                .url(StringUtils.format(DATASOURCE_URL, ip))
                .password(PASSWORD)
                .userName(USER_NAME)
                .build();
    }
}
