package com.muyu.cloud.mq;

import com.muyu.cloud.controller.CloudController;
import com.muyu.cloud.datasource.config.DruidConfig;
import com.muyu.cloud.datasource.config.DynamicDataSource;
import com.muyu.cloud.datasource.config.contents.DataSourceInfo;
import com.rabbitmq.client.Channel;
import com.rabbitmq.client.Connection;
import com.rabbitmq.client.ConnectionFactory;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.ExchangeTypes;
import org.springframework.amqp.rabbit.annotation.Exchange;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.QueueBinding;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.List;
import java.util.concurrent.TimeoutException;

import static java.lang.Thread.sleep;

@Component
@Log4j2
public class Consumer {
    @Autowired
    private AmqpAdmin amqpAdmin;
    @Autowired
    private DruidConfig druidConfig;
    @Autowired
    private CloudController controller;



//    @RabbitListener(queuesToDeclare = {@Queue("datasource")})
    @RabbitListener(bindings = {@QueueBinding(value = @Queue("datasource"),
            exchange = @Exchange(value = "datasource", type = ExchangeTypes.FANOUT))})
    public void dataSource(String ip){
        System.out.println(ip);
        controller.selectIp(ip);
        amqpAdmin.deleteQueue("datasource");

    }
}
