package com.muyu.cloud.remote;

import com.muyu.cloud.domain.Status;
import com.muyu.cloud.remote.factory.DataSourceConfigRunner;
import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient(
        contextId = "sourceId",
        value = ServiceNameConstants.RANGE_SERVICE,
        fallbackFactory = DataSourceConfigRunner.class,
        path = "/cloud"
)
public interface DataSourceConfig {
    @PostMapping("list")
    public Result<List<Status>> list();
}
