package com.muyu.cloud.remote.factory;

import com.muyu.cloud.domain.Status;
import com.muyu.cloud.remote.DataSourceConfig;
import com.muyu.common.core.domain.Result;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

public class DataSourceConfigRunner implements FallbackFactory<DataSourceConfig> {
    @Override
    public DataSourceConfig create(Throwable cause) {
        return new DataSourceConfig() {
            @Override
            public Result<List<Status>> list() {
                return Result.error(cause.getMessage());
            }
        };
    }
}
